[tox]
minversion = 3.15
requires = tox-conda
isolated_build = True

[testenv]
extras = test
commands=
    pytest

[pytest]
# Coverage and junit XML report formats are output for use with GitLab CI UI.
addopts = -svv --failed-first --junitxml=junit_pytest_report.xml
testpaths =
    tests

# Don't show DeprecationWarning, these can show via transitive dependencies
filterwarnings =
    ignore:.*:DeprecationWarning


